Kerbal Space Program - Bug #3044

"ArgumentOutOfRangeException: Argument is out of range." when adding maneuver node to
Landed vessel

09/16/2014 10:23 PM - Arrowstar

Status: Closed Start date: 09/16/2014
Severity: Normal % Done: 100%
Assignee:

Category: Plugins/Add-Ons

Target version:

Version: 0.24 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

When adding a maneuver node to a landed vessel (at the launch pad at the start of a mission, have not tried landed vessels
elsewhere yet) via a plugin, the following message spams the debug log at least one per frame:

[Exception]: ArgumentOutOfRangeException: Argument is out of range.
Parameter name: index

System.Collections.Generic.List 1[PatchRendering].get_Item (Int32 index)
OrbitTargeter.ReferencePatchSelect ()

OrbitTargeter.LateUpdate ()

Additionally, it looks like the DV assigned to the maneuver node increases rapidly from whatever value you start it with.
Here's how to reproduce:
1) Create a new plugin with the following in the Update() method:

Vector3d deltaV = new Vector3d(1.0, 1.0, 1.0);

double UT = 0.0;

ManeuverNode isUseNode = FlightGlobals.ActiveVessel.patchedConicSolver.AddManeuverNode
(UT) ;

isUseNode.OnGizmoUpdated (deltaVv, UT);

2) Load the plugin into KSP.
3) Start a new game. | used sandbox mode.
4) Load a ship onto the launchpad, check debug log for error message. It should be everywhere.

I've tested this on KSP 0.24.2, Win32 edition. The bug may not be limited to that edition or version, though. Let me know if | can
provide more info.

History

#1 - 07/17/2016 09:26 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 08/09/2016 11:11 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http:/forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention

05/17/2024 1/1



http://bugs.kerbalspaceprogram.com/projects/ksp/wiki
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/
http://www.tcpdf.org

